local folder, core = ...
setfenv(1, core)

CoreOptionsTable = {
	name = titleFull,
	type = "group",
	childGroups = "tab",

	args = {
		core={
			name = "Core",
			type = "group",
			order = 1,
			args={}
		},
	},
}

CoreOptionsTable.args.core.args.enable = {
	type = "toggle",	order	= 1,
	name	= "Enable",
	desc	= "Enables / Disables the addon",
	set = function(info,val) 
		if val == true then
			core:Enable()
		else
			core:Disable()
		end
	end,
	get = function(info) return core:IsEnabled() end
}

CoreOptionsTable.args.core.args.showWindow = {
	type = "execute",	order	= 10,
	name	= "Show Window",
	desc	= "Bring up the main window.",
	func = function(info) 
		ShowWindow()
	end
}

defaultSettings.profile.relativeWhen		= true
CoreOptionsTable.args.core.args.relativeWhen = {
	name = "Relative When",
	desc = "Show how long it's been since receiving the money.",
	type = "toggle",
	order	= 11,
	set = function(info,val) 
		P.relativeWhen = val
		ShowWindow()
	end,
	get = function(info) return P.relativeWhen end
}


defaultSettings.profile.guildColour		= {r=0.2, g=1.0, b=0.2, a=1.0}
CoreOptionsTable.args.core.args.guildColour = {
	name = "Guild Buyer",	order	= 12,
	desc = "Buyer name if they're in your guild.",
	type = "color",
	hasAlpha	= true,
	set = function(info,r,g,b,a) 
		P.guildColour.r = r
		P.guildColour.g = g
		P.guildColour.b = b
		P.guildColour.a = a
	end,
	get = function(info) return P.guildColour.r, P.guildColour.g, P.guildColour.b, P.guildColour.a end
}


defaultSettings.profile.friendColour		= {r=1.0, g=0.8, b=0.4, a=1.0}
CoreOptionsTable.args.core.args.friendColour = {
	name = "Friend Buyer",	order	= 13,
	desc = "Buyer name if they're in your guild.",
	type = "color",
	hasAlpha	= true,
	set = function(info,r,g,b,a) 
		P.friendColour.r = r
		P.friendColour.g = g
		P.friendColour.b = b
		P.friendColour.a = a
	end,
	get = function(info) return P.friendColour.r, P.friendColour.g, P.friendColour.b, P.friendColour.a end
}